Bug 1732146 - DNS: Improve config.openshift.io resource description
Summary: DNS: Improve config.openshift.io resource description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 19:23 UTC by Samuel Padgett
Modified: 2019-10-16 06:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1732145
: 1732148 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:30:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Descriptions in console (248.56 KB, image/png)
2019-07-22 19:23 UTC, Samuel Padgett
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 391 None None None 2019-07-25 14:43:15 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:30:37 UTC

Description Samuel Padgett 2019-07-22 19:23:51 UTC
Created attachment 1592685 [details]
Descriptions in console

The various cluster config config.openshift.io resource descriptions have been copied and pasted from each other and have no detail. Administrators don't know what these configurations are for. I've attached a screenshot of how this looks in console (not good) and why we want to update each description.

Per Clayton, this is a high severity bug.

Comment 2 Hongan Li 2019-08-07 03:32:35 UTC
verified with 4.2.0-0.nightly-2019-08-06-195545 and issue has been fixed.


$ oc explain dns --api-version=config.openshift.io/v1
KIND:     DNS
VERSION:  config.openshift.io/v1

DESCRIPTION:
     DNS holds cluster-wide information about DNS. The canonical name is
     `cluster`

Comment 3 errata-xmlrpc 2019-10-16 06:30:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.